<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbInvoiceMemoTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_invoice_memo', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_im_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('invoice_id', 'fk_im_inv')->references('id')->on('ab_invoice')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_invoice_memo', function(Blueprint $table)
		{
			$table->dropForeign('fk_im_acc');
			$table->dropForeign('fk_im_inv');
		});
	}

}
